Subject: Re: bug#63711: 30.0.50; Crash in xdisp.c when it->string is 0x0

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 May 2023 20:52:44 +0300

> Cc: [email-masked]
> Date: Thu, 25 May 2023 18:54:13 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > >   (gdb) p first_row_to_display->y
> > 
> > $24 = 701
> > 
> > >   (gdb) p window_text_bottom_y(w)
> > 
> > $25 = 701
> 
> And this also tells us that we are using the wrong glyph row, I think:
> its Y coordinate is outside of the visible text area.
> 
> I think I understand the problem.  Let me think about a solution.

I installed a fix on the emacs-29 branch, let's hope it fixes this.